Subject: Re: 2.6.20-rc3-mm1

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 06 Jan 2007 08:24:44 +1100

On Fri, 2007-01-05 at 13:15 -0800, Andrew Morton wrote:
> On Sat, 06 Jan 2007 07:55:36 +1100
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > On Fri, 2007-01-05 at 17:23 +0100, Mariusz Kozlowski wrote:
> > > Hello, 
> > > 
> > > 	Doesn't build on my iMac G3 based garage jukebox ;-)
> > > 
> > > arch/powerpc/kernel/of_platform.c:479: error: unknown field 'multithread_probe' specified in initializer
> > > arch/powerpc/kernel/of_platform.c:479: warning: initialization makes pointer from integer without a cast
> > > make[1]: *** [arch/powerpc/kernel/of_platform.o] Blad 1
> > > make: *** [arch/powerpc/kernel] Blad 2
> > > 
> > > I guess someone who knows multithread code should take a look at it.
> > 
> > Hrm. struct driver -> multithread_probe is gone in -mm ?
> > 
> 
> yeah, it moved into struct bus_type.
> 
> http://www.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.20-rc3/2.6.20-rc3-mm1/broken-out/driver-core-per-subsystem-multithreaded-probing.patch

Hrm. I disagree with this change. I have a few cases where drivers
actually want to explicitely do that. I suppose they can always fire off
a thread themselves from probe() but I don't see the reason to move it
to the bus type...

Easy enough for the bus type to force it if it wants.
 
Ben.